× Warning! This forum is in archival status. New contributions may not work.
Broken links in media archive
  • Hi, 
    Managed to install Superdesk/Liveblog on my Ubuntu server & am slowly learning how it works. One problem I can't sort out is broken links in the media archive. The missing link is to http://live.pushhockey.co.uk:8080/content/media_archive/thumbnail/medium/1.header_black_on_clear_square-no-layers.jpg . A find on the server produces:

     /var/opt/ally-py/superdesk/distribution/workspace/shared/cdm/media_archive/thumbnail/original/1.header_black_on_clear_squar.gif
    /var/opt/ally-py/superdesk/distribution/workspace/shared/cdm/media_archive/thumbnail/original/1.header_black_on_clear_square-no-layers.jpg
    /var/opt/ally-py/superdesk/distribution/workspace/shared/cdm/media_archive/image/000/1.header_black_on_clear_square-no-layers.jpg

    Here's a screenshot:

    Thanks
    Tom Cooper


    1214 x 878 - 68K
  • 2 Comments sorted by
  • Managed to find some log output: sorry am a bit new to this):

    ERROR    Problems while executing command:
    "/var/opt/ally-py/superdesk/distribution/workspace/tools/gm/bin/gm.exe" convert "/var/opt/ally-py/superdesk/distribution/workspace/shared/cdm/media_archive/thumbnail/original/1.header_black_on_clear_square-no-layers.jpg" -resize x100  "/var/opt/ally-py/superdesk/distribution/workspace/shared/cdm/media_archive/thumbnail/medium/1.header_black_on_clear_square-no-layers.jpg" 
    [Errno 2] No such file or directory: '/var/opt/ally-py/superdesk/distribution/workspace/tools/gm/bin/gm.exe' superdesk.media_archive.core.impl.thumbnail_processor_gm
    Traceback (most recent call last):
      File "/var/opt/ally-py/superdesk/distribution/plugins/media_archive-1.0.dev-py3.2.egg/superdesk/media_archive/core/impl/thumbnail_manager.py", line 126, in populate
        try: self.cdmThumbnail.getTimestamp(thumbPath)
      File "/var/opt/ally-py/superdesk/distribution/components/ally-1.0.dev-py3.2.egg/ally/cdm/support.py", line 82, in getTimestamp
        return self.wrapped.getTimestamp(self.format % path)
      File "/var/opt/ally-py/superdesk/distribution/components/ally-1.0.dev-py3.2.egg/ally/cdm/impl/local_filesystem.py", line 230, in getTimestamp
        raise PathNotFound(path)
    ally.cdm.spec.PathNotFound: Path not found: media_archive/thumbnail/medium/1.header_black_on_clear_square-no-layers.jpg

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/var/opt/ally-py/superdesk/distribution/plugins/media_archive-1.0.dev-py3.2.egg/superdesk/media_archive/core/impl/thumbnail_processor_gm.py", line 76, in processThumbnail
        p = Popen(shlex.split(command), stdin=PIPE, stdout=PIPE, stderr=PIPE)
      File "/usr/lib/python3.2/subprocess.py", line 745, in __init__
        restore_signals, start_new_session)
      File "/usr/lib/python3.2/subprocess.py", line 1361, in _execute_child
        raise child_exception_type(errno_num, err_msg)
    OSError: [Errno 2] No such file or directory: '/var/opt/ally-py/superdesk/distribution/workspace/tools/gm/bin/gm.exe'



  • Hi Tom,

    Please install GraphicsMagick and set the path to the gm binary in the
    Superdesk plugins.properties file.

    Step 1: Run the following command: sudo apt-get install graphicsmagick

    Step 2. Edit the file /var/opt/ally-py/superdesk/
    distribution/plugins.properties
    Look for 'gm_path' and set it's value to /usr/bin/gm.
    E.g.: thumbnailProcessor.ThumbnailProcessorGM.gm_path: /usr/bin/gm

    Step 3: Restart superdesk server.

    Hope this helps,
    Mugur

    On Thu, Oct 31, 2013 at 12:18 PM, Tom Cooper <<br />superdesk-dev@lists.sourcefabric.org> wrote:

    > Managed to find some log output: sorry am a bit new to this):
    >
    > ERROR Problems while executing command:
    > "/var/opt/ally-py/superdesk/distribution/workspace/tools/gm/bin/gm.exe"
    > convert
    > "/var/opt/ally-py/superdesk/distribution/workspace/shared/cdm/media_archive/thumbnail/original/1.header_black_on_clear_square-no-layers.jpg"
    > -resize x100
    > "/var/opt/ally-py/superdesk/distribution/workspace/shared/cdm/media_archive/thumbnail/medium/1.header_black_on_clear_square-no-layers.jpg"
    > [Errno 2] No such file or directory:
    > '/var/opt/ally-py/superdesk/distribution/workspace/tools/gm/bin/gm.exe'
    > superdesk.media_archive.core.impl.thumbnail_processor_gm
    > Traceback (most recent call last):
    > File
    > "/var/opt/ally-py/superdesk/distribution/plugins/media_archive-1.0.dev-py3.2.egg/superdesk/media_archive/core/impl/thumbnail_manager.py",
    > line 126, in populate
    > try: self.cdmThumbnail.getTimestamp(thumbPath)
    > File
    > "/var/opt/ally-py/superdesk/distribution/components/ally-1.0.dev-py3.2.egg/ally/cdm/support.py",
    > line 82, in getTimestamp
    > return self.wrapped.getTimestamp(self.format % path)
    > File
    > "/var/opt/ally-py/superdesk/distribution/components/ally-1.0.dev-py3.2.egg/ally/cdm/impl/local_filesystem.py",
    > line 230, in getTimestamp
    > raise PathNotFound(path)
    > ally.cdm.spec.PathNotFound: Path not found:
    > media_archive/thumbnail/medium/1.header_black_on_clear_square-no-layers.jpg
    >
    > During handling of the above exception, another exception occurred:
    >
    > Traceback (most recent call last):
    > File
    > "/var/opt/ally-py/superdesk/distribution/plugins/media_archive-1.0.dev-py3.2.egg/superdesk/media_archive/core/impl/thumbnail_processor_gm.py",
    > line 76, in processThumbnail
    > p = Popen(shlex.split(command), stdin=PIPE, stdout=PIPE, stderr=PIPE)
    > File "/usr/lib/python3.2/subprocess.py", line 745, in __init__
    > restore_signals, start_new_session)
    > File "/usr/lib/python3.2/subprocess.py", line 1361, in _execute_child
    > raise child_exception_type(errno_num, err_msg)
    > OSError: [Errno 2] No such file or directory:
    > '/var/opt/ally-py/superdesk/distribution/workspace/tools/gm/bin/gm.exe'
    >
    >
    >
    >